Index: trunk/libf/phytitan/conf_phys.F90
===================================================================
--- trunk/libf/phytitan/conf_phys.F90	(revision 3)
+++ trunk/libf/phytitan/conf_phys.F90	(revision 97)
@@ -10,8 +10,21 @@
    implicit none
 
-#include "YOMCST.inc"
-#include "clesphys.inc"
+#include "YOMCST.h"
+#include "clesphys.h"
 #include "compbl.h"
-#include "comorbit.inc"
+#include "comorbit.h"
+
+! ok_journe:  sorties journalieres
+! ok_mensuel: sorties mensuelles
+! ok_instan:  sorties instantanees
+
+
+! Sortie:
+  logical              :: ok_journe, ok_mensuel, ok_instan        
+  integer              :: if_ebil
+
+! Local
+  integer              :: numout = 6
+
 !
 ! Configuration de la "physique" de LMDZ a l'aide de la fonction
@@ -22,17 +35,73 @@
 !--- Ca lit le physiq.def ---
 
-!
-! ok_mensuel: sorties mensuelles
-! ok_journe:  sorties journalieres
-! ok_instan:  sorties instantanees
-
-
-! Sortie:
-  logical              :: ok_mensuel, ok_journe, ok_instan
-  integer              :: if_ebil
-
-! Local
-  integer              :: numout = 6
-  real*4               :: zzz
+!******************* parametres anciennement lus dans gcm.def
+
+!Config  Key  = cycle_diurne
+!Config  Desc = Cycle ddiurne
+!Config  Def  = y
+!Config  Help = Cette option permet d'eteidre le cycle diurne.
+!Config         Peut etre util pour accelerer le code !
+       cycle_diurne = .TRUE.
+       CALL getin('cycle_diurne',cycle_diurne)
+
+!Config  Key  = soil_model
+!Config  Desc = Modele de sol
+!Config  Def  = y
+!Config  Help = Choix du modele de sol (Thermique ?)
+!Config         Option qui pourait un string afin de pouvoir
+!Config         plus de choix ! Ou meme une liste d'options !
+       soil_model = .TRUE.
+       CALL getin('soil_model',soil_model)
+
+!Config  Key  = ok_orodr
+!Config  Desc = Oro drag
+!Config  Def  = y
+!Config  Help = GW drag orographie
+!Config         
+       ok_orodr = .TRUE.
+       CALL getin('ok_orodr',ok_orodr)
+
+!Config  Key  =  ok_orolf
+!Config  Desc = Oro lift
+!Config  Def  = n
+!Config  Help = GW lift orographie (pas utilise)
+       ok_orolf = .TRUE.
+       CALL getin('ok_orolf', ok_orolf)
+
+!Config  Key  = ok_gw_nonoro
+!Config  Desc = Gravity waves parameterization
+!Config  Def  = n
+!Config  Help = GW drag non-orographique
+       ok_gw_nonoro = .FALSE.
+       CALL getin('ok_gw_nonoro',ok_gw_nonoro)
+
+!Config  Key  = nbapp_rad
+!Config  Desc = Frequence d'appel au rayonnement
+!Config  Def  = 12
+!Config  Help = Nombre  d'appels des routines de rayonnements
+!Config         par jour.
+       nbapp_rad = 12
+       CALL getin('nbapp_rad',nbapp_rad)
+
+!Config  Key  = nbapp_chim
+!Config  Desc = Frequence d'appel a la chimie
+!Config  Def  = 1
+!Config  Help = Nombre  d'appels des routines de chimie
+!Config         par jour.
+       nbapp_chim = 1
+       CALL getin('nbapp_chim',nbapp_chim)
+
+!Config  Key  = iflag_con
+!Config  Desc = Flag de convection
+!Config  Def  = 0
+!Config  Help = Flag  pour la convection les options suivantes existent :
+!Config         0 : ajsec simple (VENUS, TITAN)
+!Config         1 pour LMD,
+!Config         2 pour Tiedtke,
+!Config         3 pour CCM(NCAR)  
+       iflag_con = 0
+       CALL getin('iflag_con',iflag_con)
+
+!******************* fin parametres anciennement lus dans gcm.def
 
 !Config Key  = OK_mensuel
@@ -64,4 +133,13 @@
 !
 !
+!Config  Key  = ecritphy
+!Config  Desc = Frequence d'ecriture dans histins
+!Config  Def  = 1
+!Config  Help = frequence de l'ecriture du fichier histins
+!Config         en jours.
+!
+       ecritphy = 1.
+       CALL getin('ecritphy', ecritphy)
+!
 !Config Key  = if_ebil
 !Config Desc = Niveau de sortie pour les diags bilan d'energie 
@@ -85,7 +163,6 @@
 !Config Help = 
 !               
-  zzz = 673.
-  call getin('year_day', zzz)
-  year_day = zzz
+  year_day = 673.
+  call getin('year_day', year_day)
 !
 !Config Key  = peri_day
@@ -94,7 +171,6 @@
 !Config Help = 
 !               
-  zzz = 533.
-  call getin('peri_day', zzz)
-  peri_day = zzz
+  peri_day = 533.
+  call getin('peri_day', peri_day)
 !
 !Config Key  = periheli
@@ -103,7 +179,6 @@
 !Config Help = 
 !               
-  zzz = 1354.5
-  call getin('periheli', zzz)
-  periheli = zzz
+  periheli = 1354.5
+  call getin('periheli', periheli)
 !!
 !Config Key  = aphelie
@@ -112,7 +187,6 @@
 !Config Help = 
 !               
-  zzz = 1506.0
-  call getin('aphelie', zzz)
-  aphelie = zzz
+  aphelie = 1506.0
+  call getin('aphelie', aphelie)
 !!
 !Config Key  = obliquit
@@ -121,7 +195,6 @@
 !Config Help = 
 !               
-  zzz = 26.7
-  call getin('obliquit', zzz)
-  obliquit = zzz
+  obliquit = 26.7
+  call getin('obliquit', obliquit)
 !
 !Config Key  = solaire
@@ -131,7 +204,6 @@
 !Config Help = 
 !
-  zzz = 2620.
-    call getin('solaire', zzz)
-  solaire = zzz
+  solaire = 2620.
+    call getin('solaire', solaire)
 !
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -158,7 +230,6 @@
 !Config Help =
 !
-  zzz = 1.0e-7
-  call getin('ksta',zzz)
-  ksta = zzz
+  ksta = 1.0e-7
+  call getin('ksta',ksta)
 
 !
@@ -168,7 +239,6 @@
 !Config Help =
 !
-  zzz = 1.0e-2
-  call getin('z0',zzz)
-  z0 = zzz
+  z0 = 1.0e-2
+  call getin('z0',z0)
 
 !
@@ -178,9 +248,7 @@
 !Config Help =
 !
-  zzz = 35.
-  call getin('lmixmin',zzz)
-  lmixmin = zzz
-
-!
+  lmixmin = 35.
+  call getin('lmixmin',lmixmin)
+
 !
 !Config Key  = ok_kzmin
@@ -204,10 +272,9 @@
 !Config Key  = inertie
 !Config Desc =
-!Config Def  = 2000.
-!Config Help =
-!
-  zzz = 2000.
-  call getin('inertie',zzz)
-  inertie = zzz
+!Config Def  = 340.
+!Config Help =
+!
+  inertie = 340.
+  call getin('inertie',inertie)
 !
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -287,7 +354,6 @@
 !Config Help =
 !
-  zzz = 3.5
-  call getin('tx',zzz)
-  tx = zzz
+  tx = 3.5
+  call getin('tx',tx)
 
 !
@@ -297,7 +363,6 @@
 !Config Help =
 !
-  zzz = 1.
-  call getin('tcorrect',zzz)
-  tcorrect = zzz
+  tcorrect = 1.
+  call getin('tcorrect',tcorrect)
 
 !
@@ -349,7 +414,16 @@
   write(numout,*)' ##############################################'
   write(numout,*)' Configuration des parametres de la physique: '
+  write(numout,*)' cycle_diurne = ', cycle_diurne
+  write(numout,*)' soil_model = ', soil_model
+  write(numout,*)' ok_orodr = ', ok_orodr
+  write(numout,*)' ok_orolf = ', ok_orolf
+  write(numout,*)' ok_gw_nonoro = ', ok_gw_nonoro
+  write(numout,*)' nbapp_rad = ', nbapp_rad
+  write(numout,*)' nbapp_chim = ', nbapp_chim
+  write(numout,*)' iflag_con = ', iflag_con
   write(numout,*)' Sortie mensuelle = ', ok_mensuel
   write(numout,*)' Sortie journaliere = ', ok_journe
   write(numout,*)' Sortie instantanee = ', ok_instan
+  write(numout,*)' frequence sorties = ', ecritphy  
   write(numout,*)' Sortie bilan d energie, if_ebil =', if_ebil
   write(numout,*)' Duree de l annee = ',year_day
